//
// C++ Interface: 
//
// Description: 
//
//
// Author: Christian Hubinger <chubinger@irrsinnig.org>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//

#ifndef KMFHOSTWIDGET_H
#define KMFHOSTWIDGET_H

#include "kmyfirewallhostwidget.h"

#include <tqwidget.h>
#include <kdialogbase.h>
#include <tdeconfig.h>
#include <tdeglobal.h>
#include <kprocess.h>
#include <tqstring.h>
#include <tqpixmap.h>
#include <tqguardedptr.h>

namespace KMF {
class KMFTarget;

class KMFHostWidget : public KMyFirewallHostWidget
{
  TQ_OBJECT
  

public:
	KMFHostWidget(TQWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~KMFHostWidget();
  /*$PUBLIC_FUNCTIONS$*/
  void loadHost( KMFTarget *target );	
  void InitGUI();
  
public slots:
  /*$PUBLIC_SLOTS$*/

	
protected:
  /*$PROTECTED_FUNCTIONS$*/
	void updateView();
	
protected slots:
  /*$PROTECTED_SLOTS$*/
	void slotAddressChanged( int );
	void slotSSHPortChanged( int );
	void slotOSChanged( const TQString& );
	void slotBackaendChanged( const TQString& );
	void slotDescriptionChanged();
	void slotTestConnection();
	void slotTryAutoConfiguration();
	void slotTryAutoConfiguration_Callback( KMFTarget* );
	signals:
		void sigTargetChanged();
	
	
private:
	TQGuardedPtr<KMFTarget> m_target;

};
}
#endif

